# opafmcmdall

Executes a command to all instances of the Fabric Manager (FM) listed in the options. The behavior is similar to `opafmcmd`.

## Syntax

    opafmcmdall [-i fm_instance] cmd [args]

## Options

`--help`

  Produces full help text.

`-i fm_instance`

  Specifies the FM instance number (0-7) to act on.

  Specify multiple `-i` options as needed. Default is all instances.

`cmd [args]`

  Specifies the commands and arguments (if applicable) to be run. Values include:

  `smForceSweep`

    Makes the Subnet Manager (SM) sweep now.

  `smRestorePriority`

    Restores the normal priority of the SM, if it is currently elevated.

  `smShowCounters`

    Gets statistics and performance counters from the SM.

  `smResetCounters`

    Resets SM statistics and performance counters.

  `smStateDump`

    Dumps internal SM state into specified directory.

  `smLogLevel`
    Sets the SM logging level. Values include:

    - 0=NONE+

    - 1=WARN+

    - 2=NOTICE+

    - 3=INFO+

    - 4=VERBOSE+

    - 5=DEBUG2+

    - 6=DEBUG4+

    - 7=TRACE+

  `smLogMode`
    Sets the SM log mode flags. Values include:

    - 0/1 1=downgrade non-actionable

    - 0/2 2=logfile only

  `smLogMask`

    Sets the SM log mask for a specific subsystem to the value given. For a list of subsystems and mask bit meanings, see the files /etc/opa-fm/opafm.xml or /usr/share/opa-fm/opafm.xml.

  `smPerfDebug`

    Toggles performance debug output for SM.

  `saPerfDebug`

    Toggles performance debug output for Subnet Administration (SA).

  `saRmppDebug`

    Toggles Reliable Message Passing Protocol (RMPP) debug output for SA.

  `pmShowCounters`

    Gets statistics and performance counters for the Performance Manager (PM).

  `pmResetCounters`

    Resets statistics and performance counters for the PM.

  `pmDebug`

    Toggles debug output for PM.

  `pmRmppDebug`

    Toggles RMPP debug output for PM.

  `feLogLevel`
    Sets the Fabric Executive (FE) logging level. Values include:

    - 0=NONE+

    - 1=WARN+

    - 2=NOTICE+

    - 3=INFO+

    - 4=VERBOSE+

    - 5=DEBUG2+

    - 6=DEBUG4+

    - 7=TRACE+

  `feLogMode`
    Sets the FE log mode flags.

    - 0/1 1=downgrade non-actionable

    - 0/2 2=logfile only

  `feLogMask`

    Sets the FE log mask for a specific subsystem to the value given. For a list of subsystems and mask bit meanings, see the files /etc/opa-fm/opafm.xml or /usr/share/opa-fm/opafm.xml

  `feDebug`

    Toggles debug output for FE.

  `feRmppDebug`

    Toggles RMPP debug output for FE.

  `smLooptestStart`

    Starts loop test in normal mode. Specify the number of 256 byte packets. Default is 0.

  `smLooptestFastModeStart`

    Starts loop test in fast mode. Specify the number of 256 byte packets. Default is 5.

  `smLooptestStop`

    Stops loop test. Returns switch LFTs back to normal.

  `smLooptestInjectPackets`

    Enter `numPkts` to send to all switch loops. Default is 1.

  `smLooptestInjectAtNode`

    Enter the switch node index to inject loop packets. Default is 0.

  `smLooptestInjectEachSweep`
    Sets whether to inject or stop injecting packets each sweep.

    - Enter `1` to inject packets each sweep.

    - Enter `0` to stop injecting each sweep.

  `smLooptestPathLength`

    Sets the loop path length. Range is 2 - 4. Default is 3.

  `smLooptestMinISLRedundancy`

    Sets the minimum number of loops in which to include each ISL. Default is 4.

  `smLooptestShowLoopPaths`

    Displays the loop paths given node index or all loop paths. Default is all.

  `smLooptestShowSwitchLft`

    Displays a switch LFT given node index or all switches LFTs. Default is all.

  `smLooptestShowTopology`

    Displays the topology for the SM Loop Test.

  `smLooptestShowConfig`

    Displays the current active loop configuration.

  `smForceRebalance`

    Toggles Force Rebalance setting for SM.

  `smAdaptiveRouting`

    Displays or modifies Adaptive Routing setting for SM.

    If no arguments are entered, displays current setting.

    Enter `0` to Disable.

    Enter `1` to Enable.

    Additional arguments after the first argument can be used to update frequency and threshold while enabling Adaptive Routing:

    Enter `-f value` to update frequency. Valid values are 0 - 7.

    Enter `-t value` to update threshold. Valid values are 0 - 7.

    If frequency or threshold are not provided, they will be reset to default.

  `smForceAttributeRewrite`
    Sets rewriting of all attributes upon resweeping.

    - Enter `0` to Disable.

    - Enter `1` to Enable.

  `smSkipAttrWrite`

    Specifies the bitmask of attributes to be skipped (not written) during sweeps. Enter `-help` for list of options.

  `smPauseSweeps`

    Pauses SM sweeps.

  `smResumeSweeps`

    Resumes SM sweeps.

## Example

    opafmcmdall smForceSweep
    # sends command to all FMs

    opafmcmdall –i 2 –i 4 smLogLevel 3
    # sends command to only FM2 and FM4